# Awesome Shell
A curated list of awesome command-line frameworks, toolkits, guides and gizmos. Inspired by awesome-php.
- [Awesome Bash](#awesome-bash)
	- [Networking and Servers](#networking-and-servers)
	- [Customization](#customization)
	- [Package Management and Frameworks](#package-management-and-frameworks)
	- [Utilities and Tools](#utilities-and-shortcuts)
- [Guides](#guides)
- [Contributing](#contributing)
  - To-do.

## Networking and Servers

*Self-hosted, lightweight servers and networking tools written in shell scripts.*

* [bashttpd](https://github.com/avleen/bashttpd) - A web server written in bash
* [dokku](https://github.com/progrium/dokku) - Docker powered mini-Heroku in around 100 lines of Bash
* [resty](https://github.com/micha/resty) - Little command line REST client that you can use in pipelines

## Customization

*Custom prompts, color themese, etc.*

* [bashstrap](https://github.com/barryclark/bashstrap) - A quick way to spruce up OSX terminal
* [liquidprompt](https://github.com/nojhan/liquidprompt) - A full-featured & carefully designed adaptive prompt for Bash & Zsh
* [pure](https://github.com/sindresorhus/pure) - Pretty, minimal and fast ZSH prompt

## Package Management and Frameworks

*Tools for managing multiple shell configurations.*

* [antigen](https://github.com/zsh-users/antigen) - A plugin manager for zsh, inspired by oh-my-zsh and vundle
* [bash-it](https://github.com/revans/bash-it) - A community bash framework
* [oh-my-fish](https://github.com/bpinto/oh-my-fish) - Framework for managing your fish shell configuration inspired by Oh My ZSH
* [oh-my-zsh](https://github.com/robbyrussell/oh-my-zsh) - A community-driven framework for managing your zsh configuration
* [prezto](https://github.com/sorin-ionescu/prezto) - The configuration framework for Zsh
* [vcsh](https://github.com/RichiH/vcsh) - config manager based on Git

## Writing and Testing Scripts

*Boilerplate-like templates and systems to jump-start whatever script you are writing.*

* [bashful](https://github.com/jmcantrell/bashful) - A collection of libraries to simplify writing bash scripts
* [bats](https://github.com/sstephenson/bats) - Bash Automated Testing System
* [composure](https://github.com/erichs/composure) - Compose, document, version and organize your shell functions
* [sub](https://github.com/basecamp/sub) - a delicious way to organize programs
  
## Utilities and Tools

*Other various neat gizmos to make your terminal experience more enjoyable.*

* [ansiweather](https://github.com/fcambus/ansiweather) - Weather in your terminal, with ANSI colors and Unicode symbols
* [autoenv](https://github.com/kennethreitz/autoenv) - Directory-based environments.
* [bashmarks](https://github.com/huyng/bashmarks) - Directory bookmarks for the shell
* [fasd](https://github.com/clvv/fasd) - Command-line productivity booster, offers quick access to files and directories
* [git-sh](https://github.com/rtomayko/git-sh) - A customized bash environment suitable for git work
* [hr](https://github.com/LuRsT/hr) - <hr /> for your terminal
* [jrnl](https://github.com/maebert/jrnl) - A simple command line journal application that stores your journal in a plain text file
* [semver_bash](https://github.com/cloudflare/semver_bash) - Semantic Versioning in Bash
* [wemux](https://github.com/zolrath/wemux) - Multi-User Tmux Made Easy


This entire repo is still under construction.
